mas-storage:
  dms:
    set-archivable:
      journaling: false # Indicator wether journaled mails are marked as approved for archiving in enaio. Default is false
      archiving: false # Indicator wether archived mails are marked as approved for archiving in enaio. Default is false
    deduplication:
      mode: UPDATE # Configuration how to handle duplicate mails. UPDATE will only update metadata of existing mail in enaio. WARN will store duplicates and log a warn message. IGNORE stores duplicates
    register:
      mode: NONE # Configuration if archiving mails are stored in registers. Possible values are NONE, PER_DAY, PER_WEEK, PER_MONTH
    journal:
      folder: Journal # Foldername of the jounraling folder containing the journaled mails
      journal-folder-max-length: 19 # Max-length of journaling folder name. Must not be longer than field length of journaling folder in enaio mail object definition. Default is 19
      #exclusions: # List of exclusions to store journaled mails in a separate folder. Exclusions can be defined based on subject keywords and/or mailboxes involved in a mail.
        #- subject-keywords: [ abc abc, 123, 456 ] # List of case-insensitive subject keywords or phrases for which the mail will be excluded if any are contained in a mail subject
        #  mailboxes: [ sample_one@mail.org, sample_two@mail.org ] # List of mailboxes for which the mail will be excluded if any of the mailboxes is involved
        #  folder: Exclusions1 # Folder name in which excluded mails will be separately stored
        #- subject-keywords: [ text, secret text ]
        #  mailboxes: [ test2@gmail.com ]
        #  folder: Exclusions2
      object-types:
        folder:
          name: EXCHANGESTORAGE_FOLDER # Internal name of folder cabinet in enaio. This value matches the default value in object definition
          fields: # Fields mapping for folder cabinet. Key value is mas-storage configuration key and internal-name value is internal name of the field in enaio. This value matches the default value in object definition
            - key: FOLDER_USER
              internal-name: Benutzer
        register:
          name: StrukturRegister # Internal name of register object in enaio. This value matches the default value in object definition
          fields: # Fields mapping for register object. Key value is mas-storage configuration key and internal-name value is internal name of the field in enaio. This value matches the default value in object definition
            - key: REGISTER_NAME
              internal-name: Feld1
        mail:
          name: EMAIL_DOCUMENT # Internal name of mail document in enaio. This value matches the default value in object definition
          fields: # Fields mapping for mail document. Key values are mas-storage configuration keys and internal-name values are internal names of the fields in enaio. All values match the default values in object definition
            - key: MAIL_REPORT_INFO
              internal-name: RPRT_INFO
            - key: MAIL_REPORT_RECIPIENTS
              internal-name: RPRT_RECIPIENTS
            - key: MAIL_FROM
              internal-name: MAIL_FROM
            - key: MAIL_TO
              internal-name: MAIL_TO
            - key: MAIL_CC
              internal-name: MAIL_CC
            - key: MAIL_SUBJECT
              internal-name: MAIL_SUBJECT
            - key: MAIL_BODY
              internal-name: MAIL_BODY
            - key: MAIL_MESSAGE_ID
              internal-name: MAIL_MESSAGE_ID
            - key: MAIL_HAS_ATTACHMENT
              internal-name: MAIL_HAS_ATTACHMENT
            - key: MAIL_SUBMIT_TIME
              internal-name: MAIL_SUBMIT_TIME
            - key: MAIL_TOS
              internal-name: MAIL_TOS
            - key: MAIL_SIZE
              internal-name: MAIL_SIZE
            - key: MAIL_PRIORITY
              internal-name: MAIL_PRIORITY
            - key: MAIL_SMTP_HEADER
              internal-name: SMTP_HEADER
            - key: MAIL_RECEIVE_TIME
              internal-name: MAIL_RECEIVE_TIME
            - key: MAIL_PRIVACY
              internal-name: MAIL_PRIVACY
            - key: MAIL_CATEGORY
              internal-name: MAIL_CATEGORY
            - key: MAIL_MAILBOX
              internal-name: MAIL_MAILBOX
            - key: MAIL_MAILBOX_MSG_ID
              internal-name: MAIL_MID
            - key: MAIL_MAILBOX_FOLDER
              internal-name: MAIL_STORAGE_ORIGINAL_FOLDER
            - key: MAIL_DIGEST
              internal-name: MAIL_DIGEST
        attachment: # Internal name of mail attachment in enaio. This value matches the default value in object definition
          name: ATTACHMENT
          fields: # Fields mapping for mail attachment. Key values are mas-storage configuration keys and internal-name values are internal names of the fields in enaio. All values match the default values in object definition
            - key: ATTACHMENT_FILENAME
              internal-name: FILENAME
            - key: ATTACHMENT_DATE
              internal-name: FILEDATE
            - key: ATTACHMENT_SIZE
              internal-name: FILESIZE
            - key: ATTACHMENT_MAILBOX
              internal-name: MAIL_MAILBOX
    mailbox-related-storage:
      use-journaling-cabinet: true # If true, the configured journaling cabinet will be used for archiving and links; If false, the optional user cabinet will be used and needs to be configured
      user-folder-max-length: 19 # Max-length of user folder name. Must not be longer than field length of user folder in enaio mail object definition. Default is 19
      links:
        create-links: NONE # Controls wether enaio links are created. (NONE) no links; (SPECIAL_ADDRESSES) only links for defined special addresses; (ALL) for both special addresses and addresses from belonging domain 
        #special-addresses:
          #-"[sample_one@mail.org]" : CustomFolderName1 # Mail address to folder mapping. If configured address is involved in a mail, links will be created to the stored mail in a separate folder with configured foldername
          #-"[sample_two@mail.org]" : CustomFolderName2
      #object-types: # Optional user cabinet configuration. Adapt the names to match the configuration in object definition
      #  folder:
      #    name: USER_EXCHANGESTORAGE_FOLDER
      #    fields:
      #      - key: FOLDER_USER
      #        internal-name: Benutzer
      #  register:
      #    name: USER_StrukturRegister
      #    fields:
      #      - key: REGISTER_NAME
      #        internal-name: Feld1
      #  mail:
      #    name: USER_EMAIL_DOCUMENT
      #    fields:
      #      - key: MAIL_REPORT_INFO
      #        internal-name: RPRT_INFO
      #      - key: MAIL_REPORT_RECIPIENTS
      #        internal-name: RPRT_RECIPIENTS
      #      - key: MAIL_FROM
      #        internal-name: MAIL_FROM
      #      - key: MAIL_TO
      #        internal-name: MAIL_TO
      #      - key: MAIL_CC
      #        internal-name: MAIL_CC
      #      - key: MAIL_SUBJECT
      #        internal-name: MAIL_SUBJECT
      #      - key: MAIL_BODY
      #        internal-name: MAIL_BODY
      #      - key: MAIL_MESSAGE_ID
      #        internal-name: MAIL_MESSAGE_ID
      #      - key: MAIL_HAS_ATTACHMENT
      #        internal-name: MAIL_HAS_ATTACHMENT
      #      - key: MAIL_SUBMIT_TIME
      #        internal-name: MAIL_SUBMIT_TIME
      #      - key: MAIL_TOS
      #        internal-name: MAIL_TOS
      #      - key: MAIL_SIZE
      #        internal-name: MAIL_SIZE
      #      - key: MAIL_PRIORITY
      #        internal-name: MAIL_PRIORITY
      #      - key: MAIL_SMTP_HEADER
      #        internal-name: SMTP_HEADER
      #      - key: MAIL_RECEIVE_TIME
      #        internal-name: MAIL_RECEIVE_TIME
      #      - key: MAIL_PRIVACY
      #        internal-name: MAIL_PRIVACY
      #      - key: MAIL_CATEGORY
      #        internal-name: MAIL_CATEGORY
      #      - key: MAIL_MAILBOX
      #        internal-name: MAIL_MAILBOX
      #      - key: MAIL_MAILBOX_MSG_ID
      #        internal-name: MAIL_MID
      #      - key: MAIL_MAILBOX_FOLDER
      #        internal-name: MAIL_STORAGE_ORIGINAL_FOLDER
      #      - key: MAIL_DIGEST
      #        internal-name: MAIL_DIGEST
      #      - key: MAIL_ATTACHMENTS
      #        internal-name: MAIL_ATTACHMENTS
      #  attachment:
      #    name: USER_ATTACHMENT
      #    fields:
      #      - key: ATTACHMENT_FILENAME
      #        internal-name: FILENAME
      #      - key: ATTACHMENT_DATE
      #        internal-name: FILEDATE
      #      - key: ATTACHMENT_SIZE
      #        internal-name: FILESIZE
      #      - key: ATTACHMENT_MAILBOX
      #        internal-name: MAIL_MAILBOX